<template>
<!--    // locali-->
    <div class="form_container">
        <div class="breadcrumbs">
            <router-link to="/main">{{$t('message.main')}}</router-link>
            <div class="circle"></div>
            <router-link to="/profile">{{$t('message.profile')}}</router-link>
            <div class="circle"></div>
            <div>{{$t('message.change_password')}}</div>
        </div>

        <div class="form">
            <div class="block" style="padding-bottom: 0">
                <div class="block-title">{{$t('message.change_password')}}</div>

                <div class="row">
                    <div class="change_password_field" style="position: relative">
                        <div class="input_component">
                            <v-text-field
                                v-model="o_password"
                                :append-icon="show_o_password ? $t('message.show') : $t('message.hide')"
                                :type="show_o_password ? 'text' : 'password'"
                                :placeholder="$t('message.old_password')"
                                :class="{parent_active_focus: o_password, error: err_o_password || errors.o_password}"
                                @keyup="err_o_password=false"
                                @click:append="show_o_password = !show_o_password"
                                autocomplete="off"

                            >
                                <template slot="label">{{$t('message.old_password')}}</template>
                            </v-text-field>
                            <span v-if="errors.o_password" class="label">{{this.errors.o_password[0]}}</span>
                        </div>

                        <div
                            v-if="err_o_password && !errors.o_password"
                            class="error_label"
                        >{{$t('message.required')}}</div>
                    </div>

                    <div class="change_field" style="position: relative">
                        <div class="input_component">
                            <v-text-field
                                v-model="password"
                                :append-icon="show_password ? $t('message.show') : $t('message.hide')"
                                :type="show_password ? 'text' : 'password'"
                                :placeholder="$t('message.new_password')"
                                :class="{parent_active_focus: password, error: err_password || errors.password}"
                                @keyup="err_password=false"
                                @click:append="show_password = !show_password"
                                autocomplete="off"
                            >
                                <template slot="label">{{$t('message.new_password')}}</template>
                            </v-text-field>
                            <span v-if="errors.password" class="label">{{this.errors.password[0]}}</span>
                        </div>

                        <div
                            v-if="err_password && !errors.password"
                            class="error_label"
                        >{{$t('message.required')}}</div>
                    </div>

                    <div  class="change_field" style="position: relative">
                        <div class="input_component">
                            <v-text-field
                                v-model="c_password"
                                :append-icon="show_c_password ? $t('message.show') : $t('message.hide')"
                                :type="show_c_password ? 'text' : 'password'"
                                :placeholder="$t('message.confirm_password')"
                                :class="{parent_active_focus: c_password, error: err_c_password || errors.c_password}"
                                @keyup="err_c_password=false"
                                @click:append="show_c_password = !show_c_password"
                                autocomplete="off"
                            >
                                <template slot="label">{{$t('message.confirm_password')}}</template>
                            </v-text-field>
                            <span v-if="errors.c_password" class="label">{{this.errors.c_password[0]}}</span>
                        </div>
                        <div
                            v-if="err_c_password && !errors.c_password"
                            class="error_label"
                        >{{$t('message.required')}}</div>
                    </div>
                </div>
            </div>

            <div class="block buttons update_password_buttons">
                <div class="row">
                    <button v-on:click='send_password' class="button">{{$t('message.save')}}</button>
                    <router-link class="button fix-margin" to="/profile">{{$t('message.back')}}</router-link>
                </div>
            </div>
        </div>
<!--        <modal-->
<!--            name="success"-->
<!--            adaptive-->
<!--            @opened='onSuccessOpened'-->
<!--            transition='fade'-->
<!--        >-->
<!--            <div class="modal_message warning">-->
<!--                {{$t('message.saved')}}-->
<!--                <button @click='$modal.hide("success")'>{{$t('message.close')}}</button>-->
<!--            </div>-->
<!--        </modal>-->
    </div>
</template>

<script>
    import Vuetify from 'vuetify'
    import 'vuetify/dist/vuetify.min.css'

    export default {
        components: {
            Vuetify
        },
        mounted() {
        },
        data: () => {
            return {
                password: null,
                c_password: null,
                o_password: null,
                show_password: false,
                show_c_password: false,
                show_o_password: false,
                err_password: false,
                err_c_password: false,
                err_o_password: false,
            }
        },
        methods: {
            send_password () {

                this.err_password = !this.password;
                this.err_c_password = !this.c_password;
                this.err_o_password = !this.o_password;

                if(this.err_password || this.err_c_password || this.err_o_password) return;

                this.$store.dispatch('change_old_password', {
                    password: this.password,
                    c_password: this.c_password,
                    o_password: this.o_password
                })
            },
        },
        computed: {
            errors: function () {
                return this.$store.getters.errors;
            },
            password_is_valid: function () {
                return this.$store.getters.password_is_valid;
            }
        },
        watch: {
            errors: function (n) {
                console.log(n)
                if(n.c_password || n.o_password || n.password || !this.password_is_valid)
                {
                    // this.$modal.show('error');
                } else {
                    this.$modal.show('success');
                }
            }
        }
    }
</script>
